Subject: Re: bug#9105: Feature req: Remembering emacs frames, windows, buffer position to subsequent session

From: martin rudalics <[email-masked]>
Date: Sun, 17 Jul 2011 19:42:18 +0200

> Where do I find these two functions?

In window.el of the development version, that is Emacs 24.0.50.1.

 > Once I download them, would it make any difference if I put them in my
 > emacs-path rather than inserting them in or appending them to desktop.el?

You will have to install Emacs 24 on your system.  After that you will
have to write two functions - one that writes for each frame the value
returned by `window-state-get' on file together with the parameters of
the frame, and one that reads the values from file, creates a new frame
for each entry, and uses `window-state-put' to restore the window
layouts within that frame.  All this after you have recreated the
buffers visiting files.  And you have to decide what to do with windows
whose buffers did not visit a file in the old session.

martin